pdnn.params.chiptype {affypdnn} | R Documentation

## A function to fit PDNN parameters

### Description

A function to fit PDNN parameters that are chip-type specific

### Usage

    pdnn.params.chiptype(energy.param.file, probes.file = NULL, probes.pack= NULL,
                         probes.data.frame = NULL,
                         seq.name, x.name, y.name, affyid.name, verbose = TRUE)

### Arguments

`energy.param.file` | Path to the energy data file (see details)
`probes.file` | Path to the probe files (see details)
`probes.pack` | Name of the probe pack (see details)
`probes.data.frame` | A `data.frame`
`seq.name, x.name, y.name, affyid.name` | The names of the columns in the data.frame from `probes.pack` or `probes.file` for the probe sequences, the X positions, the Y positions and the probe set ID respectively
`verbose` | verbosity (`TRUE` or `FALSE`)

### Details

The parameters `probes.file`, `probes.pack` and `probes.data.frame` are mutually exclusive. The function fits PDNN parameters that are specific to chip-types (hence specific to the probe sequences). It requires data files like the one found on Li Zhang's web page: (http://odin.mdacc.tmc.edu/~zhangli/PerfectMatch/) This should be computed once for all for a given chip type. Computed values for the chips are included in the package. This allows 'automagic' use of them when these chips types are used (as done in the function `expressopdnn`).

### Value

A list of:

`Eg` | environment. One entry per dinucleotide.
`Wg` | numerical vector
`En` | environment. One entry per dinucleotide.
`Wn` | numerical vector
`params.gene` | environment. One entry per gene, each entry is is a list of elements Sg, Sn, xy and gene.i

### warning

The X and Y positions in the `data.frame` are expected to be original ones in the Affymetrix files (starting at zero. They are offset by one within this function.

### See Also

`find.params.pdnn`

### Examples

    if (interactive()) {
      energy.file <- system.file("exampleData", "pdnn-energy-parameter_hg-u95av2.txt", package="affypdnn")

      params.chiptype <- pdnn.params.chiptype(energy.file, probes.pack="hgu95av2probe")
    }

[Package affypdnn version 1.16.0 Index]